clang 8.0.0

Public Types | Static Public Member Functions | List of all members
clang::RedeclarableTemplateDecl::SpecEntryTraits< EntryType > Struct Template Reference

`#include "clang/AST/DeclTemplate.h"`

## Public Types
using | DeclType = EntryType

## Static Public Member Functions
static DeclType * | getDecl (EntryType *D)
static ArrayRef< TemplateArgument > | getTemplateArgs (EntryType *D)

## Detailed Description

### template<typename EntryType>
struct clang::RedeclarableTemplateDecl::SpecEntryTraits< EntryType >

Definition at line 756 of file DeclTemplate.h.

## Member Typedef Documentation

## ◆ DeclType

template<typename EntryType>

using clang::RedeclarableTemplateDecl::SpecEntryTraits< EntryType >::DeclType = EntryType

Definition at line 757 of file DeclTemplate.h.

## Member Function Documentation

## ◆ getDecl()

template<typename EntryType>

static DeclType* clang::RedeclarableTemplateDecl::SpecEntryTraits< EntryType >::getDecl | ( | EntryType * | D | ) |
| inline static

Definition at line 759 of file DeclTemplate.h.

Referenced by clang::ASTDeclWriter::getSpecializationDecl().

## ◆ getTemplateArgs()

template<typename EntryType>

static ArrayRef<TemplateArgument> clang::RedeclarableTemplateDecl::SpecEntryTraits< EntryType >::getTemplateArgs | ( | EntryType * | D | ) |
| inline static

Definition at line 763 of file DeclTemplate.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/DeclTemplate.h